from fastapi import APIRouter

from app.api.v1.endpoints import auth, categories, tasks, users

api_router = APIRouter()

# Include all router endpoints
api_router.include_router(auth.router, prefix="/auth", tags=["authentication"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(tasks.router, prefix="/tasks", tags=["tasks"])
api_router.include_router(
    categories.router, prefix="/categories", tags=["categories"]
)
